Joey 8 роки тому
коміт
04498fe63d
7 змінених файлів з 58 додано та 0 видалено
  1. 5 0
      .dockerignore
  2. 2 0
      CHANGELOG
  3. 22 0
      CloudronManifest.json
  4. 1 0
      DESCRIPTION.md
  5. 17 0
      Dockerfile
  6. BIN
      logo.png
  7. 11 0
      start.sh

+ 5 - 0
.dockerignore

@@ -0,0 +1,5 @@
+.git
+.gitignore
+.dockerignore
+node_modules
+

+ 2 - 0
CHANGELOG

@@ -0,0 +1,2 @@
+[0.1.0]
+* Initial version

+ 22 - 0
CloudronManifest.json

@@ -0,0 +1,22 @@
+{
+  "id": "org.cirnoq.searx",
+  "title": "Searx",
+  "author": "Searx developers",
+  "description": "file://DESCRIPTION.md",
+  "changelog": "file://CHANGELOG",
+  "tagline": "Privacy-respecting metasearch engine",
+  "version": "0.0.2",
+  "healthCheckPath": "/",
+  "httpPort": 8888,
+  "addons": {
+    "localstorage": {}
+  },
+  "manifestVersion": 1,
+  "website": "https://asciimoo.github.io/searx/",
+  "contactEmail": "support@cloudron.io",
+  "icon": "file://logo.png",
+  "tags": [
+    "search", "metasearch"
+  ],
+  "mediaLinks": [ ]
+}

+ 1 - 0
DESCRIPTION.md

@@ -0,0 +1 @@
+Please add the appstore description in markdown format here.

+ 17 - 0
Dockerfile

@@ -0,0 +1,17 @@
+FROM cloudron/base:0.10.0
+MAINTAINER Authors name <support@cloudron.io>
+
+RUN mkdir -p /app/code
+WORKDIR /app/code
+
+RUN apt update && apt install -y python build-essential libxslt-dev python-dev python-virtualenv python-pybabel zlib1g-dev libffi-dev libssl-dev python-pip
+RUN pip install --no-cache -r https://raw.githubusercontent.com/asciimoo/searx/master/requirements.txt
+RUN curl -L https://github.com/asciimoo/searx/archive/master.tar.gz | tar -xz --strip-components 1 -f -
+RUN mv /app/code/searx/settings.yml /app/code/searx/settings.yml.orig
+RUN ln -sf /app/data/settings.yml /app/code/searx/settings.yml
+
+EXPOSE 8888
+
+ADD start.sh /app/
+
+CMD [ "/app/start.sh" ]


+ 11 - 0
start.sh

@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -eux
+
+if [[ -z "$(ls -A /app/data)" ]]; then
+    echo "=> Detected first run"
+    cp /app/code/searx/settings.yml.orig /app/data/settings.yml
+    sed -i "s/127.0.0.1/0.0.0.0/g" /app/data/settings.yml
+fi
+
+exec python /app/code/searx/webapp.py